Package tigase.monitor.modules

## Class InfoTaskCommand

- java.lang.Object
- - tigase.monitor.modules.InfoTaskCommand

- All Implemented Interfaces:
    `AdHocCommand`

      @Bean(name="x-info",
            parent=MonitorComponent.class,
            active=true)
      public class InfoTaskCommand
      extends java.lang.Object
      implements AdHocCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NODE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfoTaskCommand()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(AdhHocRequest request, AdHocResponse response)` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getNode()` |
    `boolean` | `isAllowedFor​(JID jid)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.component.adhoc.AdHocCommand

      `execute, getGroup`

- - ### Field Detail

    - #### NODE

          public static final java.lang.String NODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfoTaskCommand

          public InfoTaskCommand()

  - ### Method Detail

    - #### execute

          public void execute​(AdhHocRequest request,
                              AdHocResponse response)
                       throws AdHocCommandException

      Specified by:
        `execute` in interface `AdHocCommand`
      Throws:
        `AdHocCommandException`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `AdHocCommand`

    - #### getNode

          public java.lang.String getNode()

      Specified by:
        `getNode` in interface `AdHocCommand`

    - #### isAllowedFor

          public boolean isAllowedFor​(JID jid)

      Specified by:
        `isAllowedFor` in interface `AdHocCommand`